=== modified file 'NEWS'
--- NEWS	2008-09-09 04:26:34 +0000
+++ NEWS	2008-07-31 05:41:42 +0000
@@ -1,26 +1,9 @@
 What's changed in loggerhead?
 =============================
 
-dev [future]
-
-    - Added --port, --host and --prefix options to serve-branches
-      script. (Martin Albisetti)
-
-    - Fixed broken template for project browsing with start-loggerhead
-      (Martin Albisett)
-    
-    - Added error hanlding middleware. (Guillermo Gonzalez)
-    
-    - Fix Bug# 243415. Also minor improvements to logging in serve-branches and start-loggerhead. (Guillermo Gonzalez)
-
-1.6 [15Aug2008]
+1.6 [unreleased]
 ----------------
 
-    - Download a diffs between revisions. (Martin Albisetti)
-
-    - Modified templates to make loggerhead's theme easier to
-      change. (Paul Hummer)
-
     - Default sqlite interface is now sqlite3. (Robert Collins)
 
     - New ninja theme sponsored by Canonical (Martin Albisetti)
@@ -30,15 +13,12 @@
     - Remove the .py extension requiered by the Debian Policy.
       (Jelmer Vernooij)
 
-    - New startup script serve-branches will serve Loggerhead without
-      the need of configuration, and allow you to browse through directories
-      and branches. (Michael Hudson)
-
     - Loggerhead is no longer a TurboGears application, but rather a
       WSGI application built using Paste (see http://wsgi.org/ and
-      http://pythonpaste.org/ for more about WSGI and Paste).
+      http://pythonpaste.org/ for more about WSGI and Paste). XXX more.
 
-    - URLs now use revision numbers instead of revision ids (Martin Albisetti)
+    - zpt.cleaner_urls bug 138021 ("loggerhead should generate links
+      based on revision numbers and file paths").  XXX more.
 
     - The scripts no longer insist on Python 2.4 -- loggerhead works
       fine with 2.5.

=== modified file 'README.txt'
--- README.txt	2008-09-06 20:17:56 +0000
+++ README.txt	2008-07-26 17:53:10 +0000
@@ -11,16 +11,10 @@
 GETTING STARTED
 ---------------
 
-Loggerhead depends on 
-1) SimpleTAL for templating.
-   on ubuntu package `sudo apt-get install python-simpletal`
-   or download from http://www.owlfish.com/software/simpleTAL/download.html
-2) Paste for the server. (You need version 1.2 or newer of Paste.) 
-   on ubuntu package `sudo apt-get install python-paste`
-   or use `easy_install Paste`
-3) Paste Deploy  (optional, needed when proxying through Apache)
-   on ubuntu package `sudo apt-get install python-pastedeploy`
-   or use `easy_install PasteDeploy`
+Loggerhead depends on SimpleTAL for templating and Paste for the
+server.  So you need these installed -- on Ubuntu you want the
+'python-simpletal' and 'python-paste' packages installed.  You need
+version 1.2 or newer of Paste.
 
 Then simply run the 'serve-branches' with the branch you want to
 serve on the command line:
@@ -82,7 +76,10 @@
 
 If Paste Deploy is installed, the 'serve-branches' script can be
 run behind a proxy at the root of a site, but if you're running it at
-some path into the site, you'll need to specify is using '--prefix=/some_path'.
+some path into the site, you'll need to add a 'prefix' argument to the
+PrefixMiddleware call in the script.  More flexible configuration
+should be added soon...
+
 
 FILES CHANGED CACHE
 -------------------

=== modified file 'loggerhead/apps/branch.py'
--- loggerhead/apps/branch.py	2008-09-09 03:47:24 +0000
+++ loggerhead/apps/branch.py	2008-08-05 05:17:47 +0000
@@ -2,7 +2,6 @@
 
 import logging
 import urllib
-import sys
 
 import bzrlib.branch
 import bzrlib.lru_cache
@@ -18,7 +17,6 @@
 from loggerhead.controllers.atom_ui import AtomUI
 from loggerhead.controllers.download_ui import DownloadUI
 from loggerhead.controllers.search_ui import SearchUI
-from loggerhead.controllers.diff_ui import DiffUI
 from loggerhead.history import History
 from loggerhead import util
 
@@ -80,7 +78,6 @@
         'download': DownloadUI,
         'atom': AtomUI,
         'search': SearchUI,
-        'diff': DiffUI,
         }
 
     def last_updated(self):
@@ -94,7 +91,6 @@
     def app(self, environ, start_response):
         self._url_base = environ['SCRIPT_NAME']
         self._static_url_base = environ.get('loggerhead.static.url')
-        environ['FRIENDLY_NAME'] = self.friendly_name
         if self._static_url_base is None:
             self._static_url_base = self._url_base
         self._environ = environ
@@ -111,9 +107,5 @@
         try:
             c = cls(self, self.get_history())
             return c(environ, start_response)
-        except:
-            environ['exc_info'] = sys.exc_info()
-            environ['branch'] = self
-            raise
         finally:
             self.branch.unlock()

=== removed file 'loggerhead/apps/error.py'
--- loggerhead/apps/error.py	2008-09-09 03:47:24 +0000
+++ loggerhead/apps/error.py	1970-01-01 00:00:00 +0000
@@ -1,69 +0,0 @@
-# Copyright (C) 2008  Guillermo Gonzalez <guillo.gonzo@gmail.com>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-#
-
-import sys
-import logging
-from loggerhead.controllers import TemplatedBranchView
-from loggerhead.controllers.error_ui import ErrorUI
-  
-class ErrorHandlerApp(object):
-    '''Class for WSGI error logging middleware.'''
-    
-    msg = " %s.%s: %s \n" 
-
-    def __init__(self, application, **kwargs):
-        self.application = application
-        self.log = getattr(application, 'log', None)
-                
-    def __call__(self, environ, start_response):
-        try:
-            return self.application(environ, start_response)
-        except:
-            # test if exc_info has been set, in the case that 
-            # the error is caused before BranchWSGGIApp middleware 
-            if environ.has_key('exc_info') and environ.has_key('branch'):
-                # Log and/or report any application errors
-                return self.handle_error(environ, start_response)
-            else:
-                # simply propagate the error, this is logged 
-                # by paste.httpexceptions.TransLogger middleware
-                raise
-
-    def handle_error(self, environ, start_response):
-        '''Exception hanlder.'''
-        self.log_error(environ)
-        return errapp(environ, start_response)
-        
-    def log_error(self, environ):
-        exc_type, exc_object, exc_tb = environ['exc_info']
-        logger = self.log
-        if environ.has_key('branch'):
-            logger = environ['branch'].log   
-        elif environ.has_key('FRIENDLY_NAME'):
-            logger = logging.getLogger('loggerhead.%s' % 
-                environ['FRIENDLY_NAME'])
-        elif logger is None:
-            logger = logging.getLogger('loggerhead')
-        logger.exception(self.msg, exc_type.__module__, 
-                              exc_type.__name__, exc_object)
-
-
-def errapp(environ, start_response):
-    '''Default (and trivial) error handling WSGI application.'''
-    c = ErrorUI(environ['branch'], environ['exc_info'])
-    return c(environ, start_response)
-

=== removed file 'loggerhead/controllers/diff_ui.py'
--- loggerhead/controllers/diff_ui.py	2008-08-14 02:49:52 +0000
+++ loggerhead/controllers/diff_ui.py	1970-01-01 00:00:00 +0000
@@ -1,99 +0,0 @@
-# Copyright (C) 2008  Canonical Ltd.
-#                     (Authored by Martin Albisetti <argentina@gmail.com>)
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-#
-
-from cStringIO import StringIO
-import logging
-import time
-import sys
-
-from paste import httpexceptions
-from paste.request import path_info_pop
-
-from loggerhead import history
-from loggerhead import util
-from loggerhead.templatefunctions import templatefunctions
-
-import bzrlib
-from bzrlib import branch
-from bzrlib.diff import show_diff_trees
-
-
-log = logging.getLogger("loggerhead.controllers")
-
-class DiffUI(object):
-    """
-
-    Class to output a diff for a single file or revisions.
-    """
-    
-    def __init__(self, branch, history):
-        self._branch = branch
-        self._history = history
-        self.log = history.log
-
-    
-    def __call__(self, environ, start_response):
-        # /diff/<rev_id>/<rev_id>
-        """
-        Default method called from /diff URL.
-        """
-
-        z = time.time()
-        
-        args = []
-        while 1:
-            arg = path_info_pop(environ)
-            if arg is None:
-                break
-            args.append(arg)
-
-        revid_from = args[0]
-        # Convert a revno to a revid if we get a revno
-        revid_from = self._history.fix_revid(revid_from)
-        change = self._history.get_changes([revid_from])[0]
-
-        if len(args) is 2:
-            revid_to = self._history.fix_revid(args[1])
-        else:
-            revid_to = change.parents[0].revid 
-
-
-        repo = self._branch.branch.repository
-        revtree1 = repo.revision_tree(revid_from)
-        revtree2 = repo.revision_tree(revid_to)
-        
-        diff_content_stream = StringIO()
-        show_diff_trees(revtree1, revtree2, diff_content_stream, 
-                        old_label='', new_label='')
-
-        content = diff_content_stream.getvalue()
-
-        self.log.info('/diff %r:%r in %r secs' % (revid_from, revid_to, 
-                                                  time.time() - z))
-
-        revno1 = self._history.get_revno(revid_from)
-        revno2 = self._history.get_revno(revid_to)
-        filename = '%s_%s.diff' % (revno1, revno2)
-        headers = [
-            ('Content-Type', 'application/octet-stream'),
-            ('Content-Length', len(content)),
-            ('Content-Disposition', 'attachment; filename=%s'%(filename,)),
-            ]
-        start_response('200 OK', headers)
-        return [content]
-

=== modified file 'loggerhead/controllers/directory_ui.py'
--- loggerhead/controllers/directory_ui.py	2008-08-06 21:25:24 +0000
+++ loggerhead/controllers/directory_ui.py	2008-08-04 21:22:16 +0000
@@ -30,12 +30,8 @@
         self.parity = parity
         self.branch = branch
         if branch is not None:
-            # If a branch is empty, bzr raises an exception when trying this
-            try:
-                self.last_change =  datetime.datetime.fromtimestamp(
-                    branch.repository.get_revision(branch.last_revision()).timestamp)
-            except:
-                self.last_change = None
+            self.last_change =  datetime.datetime.fromtimestamp(
+                branch.repository.get_revision(branch.last_revision()).timestamp)
 
 class DirectoryUI(TemplatedBranchView):
     """

=== removed file 'loggerhead/controllers/error_ui.py'
--- loggerhead/controllers/error_ui.py	2008-09-09 03:47:24 +0000
+++ loggerhead/controllers/error_ui.py	1970-01-01 00:00:00 +0000
@@ -1,35 +0,0 @@
-#
-# Copyright (C) 2008  Guillermo Gonzalez <guillo.gonzo@gmail.com>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-#
-
-from loggerhead.controllers import TemplatedBranchView
-
-class ErrorUI(TemplatedBranchView):
-
-    template_path = 'loggerhead.templates.error'
-
-    def __init__(self, branch, exc_info):
-        super(ErrorUI, self).__init__(branch, None)
-        self.exc_info = exc_info
-    
-    def get_values(self, h, args, kw, headers):
-        exc_type, exc_object, exc_tb = self.exc_info
-        return {
-            'error_title':'Error',
-            'error_description':exc_object,
-            'error_properties':[self.exc_info],
-        }
\ No newline at end of file

=== modified file 'loggerhead/history.py'
--- loggerhead/history.py	2008-08-12 16:36:23 +0000
+++ loggerhead/history.py	2008-07-26 17:53:10 +0000
@@ -257,19 +257,13 @@
             revid = parents[0]
 
     def get_short_revision_history_by_fileid(self, file_id):
+        # wow.  is this really the only way we can get this list?  by
+        # man-handling the weave store directly? :-0
         # FIXME: would be awesome if we could get, for a folder, the list of
-        # revisions where items within that folder changed.i
-        try:
-            # FIXME: Workaround for bzr versions prior to 1.6b3. 
-            # Remove me eventually pretty please  :)
-            w = self._branch.repository.weave_store.get_weave(file_id, self._branch.repository.get_transaction())
-            w_revids = w.versions() 
-            revids = [r for r in self._full_history if r in w_revids] 
-        except AttributeError:
-            possible_keys = [(file_id, revid) for revid in self._full_history]
-            existing_keys = self._branch.repository.texts.get_parent_map(possible_keys)
-            revids = [revid for _, revid in existing_keys.iterkeys()]
-        return revids
+        # revisions where items within that folder changed.
+        possible_keys = [(file_id, revid) for revid in self._full_history]
+        existing_keys = self._branch.repository.texts.get_parent_map(possible_keys)
+        return [revid for _, revid in existing_keys.iterkeys()]
 
     def get_revision_history_since(self, revid_list, date):
         # if a user asks for revisions starting at 01-sep, they mean inclusive,

=== modified file 'loggerhead/static/css/annotate.css'
--- loggerhead/static/css/annotate.css	2008-08-05 19:44:50 +0000
+++ loggerhead/static/css/annotate.css	2008-07-24 22:00:49 +0000
@@ -1,13 +1,16 @@
 /*table*/
 .annoLineTit, .annoLine, .annoRevTit, .annoRev, .annoComm, .annoCommTit, .annoContTit, .annoCont {
+	padding:4px;
 	width:45px;
 	border:1px solid #d2d2d2;
 }
 .annoLine, .annoRev, .annoComm, .annoCont {
+	padding:5px 0px;
 	border:none;	
 }
 .annoLine {
 	width:37px;
+	padding:5px 4px;
 }
 .annoContTit, .annoCont {
 	width:auto;

=== modified file 'loggerhead/static/css/global.css'
--- loggerhead/static/css/global.css	2008-08-13 17:33:41 +0000
+++ loggerhead/static/css/global.css	2008-08-05 06:17:12 +0000
@@ -120,7 +120,7 @@
 #finderBox {
 	width:300px;
 	float:right;
-	padding: 10px 0px 0px 0px;
+	padding:0px;
 }
 #finderBox label {
 	float:left;

=== modified file 'loggerhead/static/javascript/custom.js'
--- loggerhead/static/javascript/custom.js	2008-08-14 20:31:07 +0000
+++ loggerhead/static/javascript/custom.js	2008-07-22 00:40:03 +0000
@@ -4,7 +4,6 @@
 window.addEvent('domready', function() 
 {
     var search_box = $('q');
-    search_box.removeEvents();
     search_box.addEvents(
     {
         keyup: function()
@@ -15,10 +14,10 @@
             }
             else
             {
-                if (null != global_timeout_id)
-                {
-                    clearTimeout(global_timeout_id);
-                }
+	            if (null != global_timeout_id)
+	            {
+	                clearTimeout(global_timeout_id);
+	            }
                     global_timeout_id = setTimeout('$("q").fireEvent("search",$("q").value)',200);
             }
         },
@@ -26,25 +25,21 @@
         search: function(query)
         {
             url = global_path + 'search?query=' + query;
-
+	
             if ($defined(global_search_request))
             {
                 global_search_request.cancel();
             }
-            global_search_request = new Request({'url':url,'method':'get','onComplete':function(response)
-              {
-                 cool_search(response,query);
-             }});
-
+            global_search_request = new Request({'url':url,'method':'get','onComplete':cool_search});
             global_search_request.send('');
-            var posicion = search_box.getPosition();
-            var size     = search_box.getSize();
+	        var posicion = search_box.getPosition();
+	        var size     = search_box.getSize();
 
-            $('search_terms').setStyle('position','absolute');
-            $('search_terms').setStyle('left',posicion.x);
-            $('search_terms').setStyle('top',posicion.y + size.y);
-            $('search_terms').setStyle('display','block');
-            $('search_terms').set('html','Loading...');
+	        $('search_terms').setStyle('position','absolute');
+	        $('search_terms').setStyle('left',posicion.x);
+	        $('search_terms').setStyle('top',posicion.y + size.y);
+	        $('search_terms').setStyle('display','block');
+	        $('search_terms').set('html','Loading...');
 
             new Request({'url':url,'method':'get','onComplete':cool_search}).send('');
 
@@ -53,19 +48,15 @@
     });
 });
 
-function cool_search(response, query)
+function cool_search(response)
 {
 	var posicion = $('q').getPosition();
 	var size     = $('q').getSize();
-    var current_query = $('q').get('value');
-    if (current_query == query)
-    {
-	    $('search_terms').set('html',response);
-	    $('search_terms').setStyle('display','block');
-	    $('search_terms').setStyle('position','absolute');
-	    $('search_terms').setStyle('left',posicion.x);
-	    $('search_terms').setStyle('top',posicion.y + size.y);
-    }
+	$('search_terms').set('html',response);
+	$('search_terms').setStyle('display','block');
+	$('search_terms').setStyle('position','absolute');
+	$('search_terms').setStyle('left',posicion.x);
+	$('search_terms').setStyle('top',posicion.y + size.y);
 }
 
 function hide_search()

=== modified file 'loggerhead/templatefunctions.py'
--- loggerhead/templatefunctions.py	2008-08-13 19:51:08 +0000
+++ loggerhead/templatefunctions.py	2008-07-26 14:52:44 +0000
@@ -74,17 +74,3 @@
     return _pt('modified-file-link-log').expand(
         url=url, entry=entry, item=item,
         **templatefunctions)
-
-@templatefunc
-def search_box(branch, navigation):
-    return _pt('search-box').expand(branch=branch, navigation=navigation,
-        **templatefunctions)
-
-@templatefunc
-def feed_link(branch, url):
-    return _pt('feed-link').expand(branch=branch, url=url, **templatefunctions)
-
-@templatefunc
-def menu(branch, url, fileview_active=False):
-    return _pt('menu').expand(branch=branch, url=url,
-        fileview_active=fileview_active, **templatefunctions)

=== modified file 'loggerhead/templates/browse.pt'
--- loggerhead/templates/browse.pt	2008-08-20 22:32:48 +0000
+++ loggerhead/templates/browse.pt	2008-07-22 20:07:08 +0000
@@ -1,44 +1,56 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html xmlns="http://www.w3.org/1999/xhtml" metal:use-macro="macros/main">
   <head>
-    <title>loggerhead branches</title>
-    <link rel="stylesheet"
-          tal:attributes="href python:branch.static_url('/static/css/global.css')" />
+    <title metal:fill-slot="title">
+      loggerhead branches
+    </title>
   </head>
 
   <body>
-   <div id="loggerheadCont">
-    <div>
+
+    <h1 metal:fill-slot="heading" style="padding-bottom: 1em">
+      <tal:title condition="title" content="title" />
+      <tal:no-title condition="not:title">
+        bazaar branches in loggerhead
+      </tal:no-title>
+    </h1>
+
+    <div metal:fill-slot="content">
       <div class="browse-project"
            tal:repeat="project projects">
-        <h1 tal:content="project/friendly_name" />
+        <div class="browse-project-name"
+             tal:content="project/friendly_name"></div>
+
         <div class="browse-project-description"
              tal:condition="python:len(project.long_description) > 0"
              tal:content="structure project/long_description"></div>
 
-          <table id="logentries">
-            <tr class="logheader">
-              <th class="summarycell" colspan="2">Name</th>
-              <th class="summarycell">Description</th>
-              <th class="datecell" colspan="2">Last change</th>
+        <div class="browse-view">
+          <table>
+            <tr class="heading">
+              <th>Name</th>
+              <th>Description</th>
+              <th>Last change</th>
+              <th />
             </tr>
             <tal:block repeat="view python:views_by_project[project]">
-              <tr tal:attributes="class string:blueRow1">
-                <td class="icocell">
-                  <img tal:attributes="src python:branch.static_url('/static/images/ico_branch.gif')" />
-                </td>
-                <td class="autcell">
-                    <a tal:attributes="href python:branch.static_url(project.name + '/' +  view.name)" 
-                       tal:content="view/friendly_name" />
-                </td>
-                <td class="autcell"
-                    tal:content="view/description" />
-                <td class="date"
-                    tal:content="python:view.get_history().has_revisions and util._approximatedate(view.last_updated()) or '(no revisions)'" />
-                <td class="icocell">
+              <tr>
+                <td class="name">
+                  <a tal:attributes="href python:branch.static_url(project.name + '/' +  view.name)"
+                     tal:content="view/friendly_name">
+                    ${view.friendly_name}
+                  </a>
+                </td>
+                <td class="description"
+                    tal:content="view/description">
+                  ${view.description}
+                </td>
+                <td class="last-update"
+                    tal:content="python:view.get_history().has_revisions and util._approximatedate(view.last_updated()) or '(no revisions)'"></td>
+                <td class="feed">
                   <a tal:attributes="href python:branch.static_url(project.name + '/' +  view.name + '/atom')"
                      title="atom feed">
-                    <img tal:attributes="src python:branch.static_url('/static/images/ico_rss.gif')"
+                    <img tal:attributes="src python:branch.static_url('/static/images/feed-icon-16x16.gif')"
                          alt="atom feed" />
                   </a>
                 </td>
@@ -48,13 +60,16 @@
                 </td>
                 <td class="description url" colspan="2">
                   <a tal:attributes="href view/branch_url"
-                     tal:content="view/branch_url" />
+                     tal:content="view/branch_url">
+                    ${view.branch_url}
+                  </a>
                 </td>
               </tr>
             </tal:block>
           </table>
+        </div>
+
       </div>
     </div>
-  </div>
   </body>
 </html>

=== modified file 'loggerhead/templates/changelog.pt'
--- loggerhead/templates/changelog.pt	2008-08-20 20:47:46 +0000
+++ loggerhead/templates/changelog.pt	2008-08-04 03:42:01 +0000
@@ -106,8 +106,7 @@
                                                 <a tal:attributes="href python:url(['/changes', parent.revno])"
                                                    tal:content="parent/revno"></a>
                                             </span>
-                                            <a tal:condition="parent.branch_nick"
-                                               tal:attributes="href python:url(['/changes'], start_revid=parent.revno)"
+                                            <a tal:attributes="href python:url(['/changes'], start_revid=parent.revno)"
                                                tal:content="python:'(' + parent.branch_nick + ')'"
                                                 title="Show history" class="link"></a>
                                         </li>

=== removed file 'loggerhead/templates/error.pt'
--- loggerhead/templates/error.pt	2008-09-09 03:47:24 +0000
+++ loggerhead/templates/error.pt	1970-01-01 00:00:00 +0000
@@ -1,13 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
-<tal:block define="onload string:load()">
-  <html xmlns="http://www.w3.org/1999/xhtml">
-    <head>
-      <title tal:content="error_title">
-      </title>
-    </head>
-    <body>
-        <p tal:content="error_description"/>
-        <p tal:content="error_properties"/>
-    </body>
-  </html>
-</tal:block>

=== removed file 'loggerhead/templates/feed-link.pt'
--- loggerhead/templates/feed-link.pt	2008-08-13 15:18:17 +0000
+++ loggerhead/templates/feed-link.pt	1970-01-01 00:00:00 +0000
@@ -1,6 +0,0 @@
-<tal:feed-link>
-  <a tal:attributes="href python:url(['/atom']);
-                     title string:RSS feed for ${branch/friendly_name}">
-    <img tal:attributes="src python:branch.static_url('/static/images/ico_rss.gif')" alt="RSS" class="rssfeed"/>
-  </a>
-</tal:feed-link>

=== modified file 'loggerhead/templates/inventory.pt'
--- loggerhead/templates/inventory.pt	2008-08-06 04:20:07 +0000
+++ loggerhead/templates/inventory.pt	2008-08-05 06:21:09 +0000
@@ -64,7 +64,7 @@
                <a tal:attributes="href python:url(['/files', change.revno], file_id=file.file_id)" 
                                       tal:content="file/filename" class="link"></a>
                </td>
-               <td class="date"><a tal:attributes="href python:url(['/revision', file.change.revno]);
+               <td class="date"><a tal:attributes="href python:url(['/revision', file.change.revno], filter_file_id=file.file_id);
                                                    title string:Show revision ${file/change/revno}"
                                    tal:content="file/change/revno"></a>
                </td>
@@ -87,7 +87,7 @@
                <a tal:attributes="href python:url(['/annotate', change.revno], file_id=file.file_id)" 
                                       tal:content="file/filename" class="link"></a>
                </td>
-               <td class="date"><a tal:attributes="href python:url(['/revision', file.change.revno]);
+               <td class="date"><a tal:attributes="href python:url(['/revision', file.change.revno], filter_file_id=file.file_id);
                                                    title string:Show revision ${file/change/revno}"
                                    tal:content="file/change/revno"></a>
                </td>
@@ -116,7 +116,7 @@
 
             <a tal:attributes="href python:url(['/annotate', change.revno], file_id=file.file_id)"
                                    tal:content="file/filename" class="link"></a></td>
-            <td class="date"><a tal:attributes="href python:url(['/revision', file.change.revno]);
+            <td class="date"><a tal:attributes="href python:url(['/revision', file.change.revno], filter_file_id=file.file_id);
                                                 title string:Show revision ${file/change/revno}"
                                 tal:content="file/change/revno"></a>
             </td>

=== modified file 'loggerhead/templates/macros.pt'
--- loggerhead/templates/macros.pt	2008-08-20 23:37:59 +0000
+++ loggerhead/templates/macros.pt	2008-08-04 03:42:01 +0000
@@ -21,25 +21,41 @@
 
 <body>
     <!-- Loggerhead Content Area -->
-      <div id="finderBox">
-         <tal:search-box define="navigation navigation"
-                        replace="structure python:search_box(branch,
-                                 navigation)" />
-        <div>
-          <tal:feed-link replace="structure python:feed_link(branch, url)" />
-        </div>
-      </div>
+    <ul id="menuTabs">
+        <form tal:attributes="action python:branch.url('/changes', start_revid=getattr(navigation, 'start_revid', None), 
+                                                                   file_id=getattr(navigation, 'file_id', None))">
+      	  <div id="finderBox">
+            <label>search:</label> <input type="search" name="q" id="q" autocomplete="off" onblur="hide_search();" /> 
+            <div><a tal:attributes="href python:url(['/atom']);
+                                    title string:RSS feed for ${branch/friendly_name}"> 
+                 <img tal:attributes="src python:branch.static_url('/static/images/ico_rss.gif')" alt="RSS" class="rssfeed"/></a>
+            </div>
+          </div>
+        </form>
 
-      <tal:menu define="fileview_active fileview_active"
-                replace="structure python:menu(branch, url, fileview_active)" />
+        <tal:block tal:condition="not:fileview_active">
+        <li><a tal:attributes="href python:url('/changes', clear=1);
+                               title string:Changes;
+                               id string:on">Changes</a></li>
+        <li><a tal:attributes="href python:url('/files', clear=1);
+                               title string:Files">Files</a></li>
+        </tal:block>
+        <tal:block tal:condition="fileview_active">
+        <li><a tal:attributes="href python:url('/changes', clear=1);
+                               title string:Changes">Changes</a></li>
+        <li><a tal:attributes="href python:url('/files', clear=1);
+                               title string:Files;
+                               id string:on">Files</a></li>
+        </tal:block>
+      </ul>
       <div id="loggerheadCont">
 
-        <div id="search_terms"></div>
+         <div id="search_terms"></div>
 
         <h1 metal:define-slot="heading"></h1>
         <div metal:define-slot="content"></div>
 
-        <p class="fl">Loggerhead is a web-based interface for <a href="http://bazaar-vcs.org/">Bazaar</a> branches</p>
-      </div>
+        <p class="fl">Loggerhead runs on <a href="http://bazaar-vcs.org/" class="link">Bazaar</a> branches</p>
+    </div>
   </body>
 </html>

=== removed file 'loggerhead/templates/menu.pt'
--- loggerhead/templates/menu.pt	2008-08-13 17:33:41 +0000
+++ loggerhead/templates/menu.pt	1970-01-01 00:00:00 +0000
@@ -1,19 +0,0 @@
-<tal:menu>
-    <ul id="menuTabs">
-        <tal:changes-active tal:condition="not:fileview_active">
-        <li><a tal:attributes="href python:url('/changes', clear=1);
-                               title string:Changes;
-                               id string:on">Changes</a></li>
-        <li><a tal:attributes="href python:url('/files', clear=1);
-                               title string:Files">Files</a></li>
-        </tal:changes-active>
-        <tal:fileview-active tal:condition="fileview_active">
-        <li><a tal:attributes="href python:url('/changes', clear=1);
-                               title string:Changes">Changes</a></li>
-        <li><a tal:attributes="href python:url('/files', clear=1);
-                               title string:Files;
-                               id string:on">Files</a></li>
-        </tal:fileview-active>
-      </ul>
-</tal:menu>
-

=== modified file 'loggerhead/templates/revision.pt'
--- loggerhead/templates/revision.pt	2008-08-16 06:34:03 +0000
+++ loggerhead/templates/revision.pt	2008-08-04 03:42:01 +0000
@@ -36,19 +36,13 @@
                                tal:content="string:browse files at revision ${change/revno}"></a></li>
             <li tal:condition="python:remember != change.revno">
                 <a tal:attributes="href python:url(['/revision', change.revno], remember=change.revno, compare_revid=None); 
-                                   title string:compare with another revision"
+                                   title string:Compare with another revision"
                    tal:content="string:Compare with another revision"></a></li>       
             <li tal:condition="python:(remember is not None) and (compare_revid is None) and (change.revno != remember)" >
                 <a tal:attributes="href python:url(['/revision', change.revno], compare_revid=history.get_revno(remember))">
                 compare with revision <tal:b content="python:history.get_revno(remember)" />
                 </a>
             </li>
-            <li>
-            <a tal:condition="python:len(change.parents) > 0 and compare_revid is None"
-                   tal:attributes="href python:url(['/diff', change.revno], clear=1)">download diff</a>
-            <a tal:condition="python:compare_revid is not None"
-                   tal:attributes="href python:url(['/diff', change.revno, history.get_revno(compare_revid)], clear=1)">download diff</a>
-            </li>
             <li id="last"><a tal:attributes="href python:url(['/changes', change.revno]); 
                                   title string:view history from revision ${change/revno}"
                   tal:content="string:view history from revision ${change/revno}"></a></li>

=== modified file 'loggerhead/templates/revisioninfo.pt'
--- loggerhead/templates/revisioninfo.pt	2008-08-05 19:25:28 +0000
+++ loggerhead/templates/revisioninfo.pt	2008-07-25 02:06:37 +0000
@@ -13,7 +13,7 @@
                tal:content="python:revno_with_nick(merge_point)"></a>
         </div>
         <div class="revid" tal:content="string:Revision ID: ${change/revid}"></div>
-        <div class="information" tal:content="python:util.fixed_width(change.comment)"></div>
+        <div class="information" tal:content="change/comment"></div>
     </div>
     <ul id="list-files">
         <tal:block condition="nocall:modified_file_link">

=== removed file 'loggerhead/templates/search-box.pt'
--- loggerhead/templates/search-box.pt	2008-08-13 17:24:10 +0000
+++ loggerhead/templates/search-box.pt	1970-01-01 00:00:00 +0000
@@ -1,10 +0,0 @@
-<tal:search-box>
-  <form tal:attributes="action python:branch.url('/changes',
-                            start_revid=getattr(navigation,
-                            'start_revid', None),
-                            file_id=getattr(navigation, 'file_id', None))">
-    <label>search:</label>
-    <input type="search" name="q" id="q" autocomplete="off" onblur="hide_search();" />
-  </form>
-</tal:search-box>
-

=== removed file 'loggerhead/trace.py'
--- loggerhead/trace.py	2008-09-09 02:34:35 +0000
+++ loggerhead/trace.py	1970-01-01 00:00:00 +0000
@@ -1,70 +0,0 @@
-#
-# Copyright (C) 2008  Canonical Ltd.
-#                     (Authored by Martin Albisetti <argentina@gmail.com)
-# Copyright (C) 2008  Guillermo Gonzalez <guillo.gonzo@gmail.com>
-# Copyright (C) 2006  Robey Pointer <robey@lag.net>
-# Copyright (C) 2006  Goffredo Baroncelli <kreijack@inwind.it>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-#
-
-import os
-import logging
-import sys
-
-def make_handler(config, filename):
-    roll = config.get('log.roll', 'never')
-    if roll == 'daily':
-        h = logging.handlers.TimedRotatingFileHandler(filename, 'midnight', 1, 100)
-    elif roll == 'weekly':
-        h = logging.handlers.TimedRotatingFileHandler(filename, 'W0', 1, 100)
-    else:
-        h = logging.FileHandler(filename)
-    return h
-
-
-def setup_logging(log_folder, config, foreground):
-    # i hate that stupid logging config format, so just set up logging here.
-
-    if not os.path.exists(log_folder):
-        os.mkdir(log_folder)
-
-    f = logging.Formatter('%(levelname)-.3s [%(asctime)s.%(msecs)03d]'
-                          ' %(name)s: %(message)s','%Y%m%d-%H:%M:%S')
-    debug_log = make_handler(config, os.path.join(log_folder, 'debug.log'))
-    debug_log.setLevel(logging.DEBUG)
-    debug_log.setFormatter(f)
-    if foreground:
-        stdout_log = logging.StreamHandler(sys.stdout)
-        stdout_log.setLevel(logging.DEBUG)
-        stdout_log.setFormatter(f)
-    f = logging.Formatter('[%(asctime)s.%(msecs)03d] %(message)s',
-                          '%Y%m%d-%H:%M:%S')
-    access_log = make_handler(config, os.path.join(log_folder, 'access.log'))
-    access_log.setLevel(logging.INFO)
-    access_log.setFormatter(f)
-    
-    error_log = make_handler(config, os.path.join(log_folder, 'error.log'))
-    error_log.setLevel(logging.ERROR)
-    error_log.setFormatter(f)
-
-    logging.getLogger('').setLevel(logging.DEBUG)
-    logging.getLogger('').addHandler(debug_log)
-    logging.getLogger('loggerhead.access').addHandler(access_log)
-    logging.getLogger('loggerhead').setLevel(logging.ERROR)
-    logging.getLogger('loggerhead').addHandler(error_log)
-
-    if foreground:
-        logging.getLogger('').addHandler(stdout_log)

=== modified file 'loggerhead/util.py'
--- loggerhead/util.py	2008-08-06 21:25:24 +0000
+++ loggerhead/util.py	2008-07-26 17:53:10 +0000
@@ -59,10 +59,7 @@
 
 
 def date_time(value):
-    if value is not None:
-        return value.strftime('%Y-%m-%d %T')
-    else:
-        return 'N/A'
+    return value.strftime('%Y-%m-%d %T')
 
 
 def _displaydate(date):

=== modified file 'serve-branches'
--- serve-branches	2008-09-09 04:06:13 +0000
+++ serve-branches	2008-08-01 04:42:14 +0000
@@ -28,33 +28,27 @@
 from loggerhead import __version__
 from loggerhead.apps.filesystem import (
     BranchesFromFileSystemRoot, UserBranchesFromFileSystemRoot)
-from loggerhead.apps.error import ErrorHandlerApp
+
 
 def command_line_parser():
     parser = OptionParser("%prog [options] <path>")
     parser.set_defaults(
         user_dirs=False,
         show_version=False,
-        log_folder=None,
         )
     parser.add_option("--user-dirs", action="store_true", dest="user_dirs",
                       help="Serve user directories as ~user.")
     parser.add_option("--trunk-dir", metavar="DIR",
                       help="The directory that contains the trunk branches.")
-    parser.add_option("--port", dest="user_port",
-                      help="Port Loggerhead should listen on (defaults to 8080).")
-    parser.add_option("--host", dest="user_host",
-                      help="Host Loggerhead should listen on.")
-    parser.add_option("--prefix", dest="user_prefix",
-                      help="Specify host prefix.")
     parser.add_option("--version", action="store_true", dest="show_version",
                       help="Print the software version and exit")
-    parser.add_option('--log-folder', dest="log_folder", 
-                      type=str, help="The directory to place log files")
     return parser
 
 
 def main(args):
+    logging.basicConfig()
+    logging.getLogger().setLevel(logging.DEBUG)
+
     parser = command_line_parser()
     (options, args) = parser.parse_args(sys.argv[1:])
 
@@ -85,50 +79,17 @@
         app = UserBranchesFromFileSystemRoot(path, options.trunk_dir)
     else:
         app = BranchesFromFileSystemRoot(path)
-    
-    # setup_logging()
-    logging.basicConfig()
-    logging.getLogger('').setLevel(logging.DEBUG)
-    logger = getattr(app, 'log', logging.getLogger('loggerhead'))
-    if options.log_folder:
-        logfile_path = os.path.join(options.log_folder, 'serve-branches.log')
-    else:
-        logfile_path = 'serve-branches.log'
-    logfile = logging.FileHandler(logfile_path, 'a')
-    formatter = logging.Formatter('%(asctime)s %(levelname)-8s %(name)s:'
-                                  ' %(message)s')
-    logfile.setFormatter(formatter)
-    logfile.setLevel(logging.DEBUG)
-    logger.addHandler(logfile)
-    # setup_logging() #end
-    app = ErrorHandlerApp(app)
     app = HTTPExceptionHandler(app)
-    app = TransLogger(app, logger=logger)
-
-
-    if not options.user_prefix:
-        prefix = '/'
-    else:
-        prefix = options.user_prefix
+    app = TransLogger(app)
 
     try:
         from paste.deploy.config import PrefixMiddleware
     except ImportError:
         pass
     else:
-        app = PrefixMiddleware(app, prefix=prefix)
-    
-    if not options.user_port:
-        port = '8080'
-    else:
-        port = options.user_port
-
-    if not options.user_host:
-        host = '0.0.0.0'
-    else:
-        host = options.user_host
-
-    httpserver.serve(app, host=host, port=port)
+        app = PrefixMiddleware(app)
+
+    httpserver.serve(app, host='0.0.0.0', port='8080')
 
 
 if __name__ == "__main__":

=== modified file 'serve-branches.1'
--- serve-branches.1	2008-09-09 04:26:34 +0000
+++ serve-branches.1	2008-08-05 16:02:23 +0000
@@ -1,6 +1,6 @@
 .TH LOGGERHEAD "1" "August 2008" "loggerhead 1.6" "User Commands"
 .SH NAME
-loggerhead \- run a loggerhead server
+loggerhead \- manual page for loggerhead 1.6
 .SH SYNOPSIS
 .B serve-branches
 [\fIoptions\fR] \fI<path>\fR
@@ -21,20 +21,8 @@
 \fB\-\-trunk\-dir\fR=\fIDIR\fR
 The directory that contains the trunk branches.
 .TP
-\fB\-\-port\fR
-Port Loggerhead should listen on (defaults to 8080).
-.TP
-\fB\-\-host\fR
-Host Loggerhead should listen on.
-.TP
-\fB\-\-prefix\fR
-Specify host prefix.
-.TP
 \fB\-\-version\fR
-Print the software version and exit.
-.TP
-\fB\-\-log\-folder\fR=\fILOG_FOLDER\fR
-The directory to place log files
+Print the software version and exit
 .SH "LICENSE"
 GNU GPLv2 or later.
 .SH "SEE ALSO"

=== modified file 'start-loggerhead'
--- start-loggerhead	2008-09-09 03:47:24 +0000
+++ start-loggerhead	2008-07-26 17:53:10 +0000
@@ -29,43 +29,80 @@
 from paste.httpexceptions import make_middleware
 from paste.translogger import make_filter
 
-from loggerhead import daemon
+from loggerhead import daemon, release
 from loggerhead.apps.config import Root
-from loggerhead.trace import make_handler, setup_logging
-from loggerhead.apps.error import ErrorHandlerApp
+
+
+def make_handler(config, filename):
+    roll = config.get('log.roll', 'never')
+    if roll == 'daily':
+        h = logging.handlers.TimedRotatingFileHandler(filename, 'midnight', 0, 100)
+    elif roll == 'weekly':
+        h = logging.handlers.TimedRotatingFileHandler(filename, 'W0', 0, 100)
+    else:
+        h = logging.FileHandler(filename)
+    return h
+
+
+def setup_logging(home, config, foreground):
+    # i hate that stupid logging config format, so just set up logging here.
+
+    log_folder = os.path.join(home, 'logs')
+    if not os.path.exists(log_folder):
+        os.mkdir(log_folder)
+
+    f = logging.Formatter('%(levelname)-.3s [%(asctime)s.%(msecs)03d] %(name)s: %(message)s',
+                          '%Y%m%d-%H:%M:%S')
+    debug_log = make_handler(config, os.path.join(log_folder, 'debug.log'))
+    debug_log.setLevel(logging.DEBUG)
+    debug_log.setFormatter(f)
+    if foreground:
+        stdout_log = logging.StreamHandler(sys.stdout)
+        stdout_log.setLevel(logging.DEBUG)
+        stdout_log.setFormatter(f)
+    f = logging.Formatter('[%(asctime)s.%(msecs)03d] %(message)s',
+                          '%Y%m%d-%H:%M:%S')
+    access_log = make_handler(config, os.path.join(log_folder, 'access.log'))
+    access_log.setLevel(logging.INFO)
+    access_log.setFormatter(f)
+
+    logging.getLogger('').setLevel(logging.DEBUG)
+    logging.getLogger('').addHandler(debug_log)
+    logging.getLogger('wsgi').addHandler(access_log)
+
+    if foreground:
+        logging.getLogger('').addHandler(stdout_log)
+
+
 
 def main():
-    home = os.path.realpath(os.path.dirname(__file__))
-    default_pidfile = os.path.join(home, 'loggerhead.pid')
-    default_configfile = os.path.join(home, 'loggerhead.conf')
-    default_log_folder = os.path.join(home, 'logs')
-    parser = OptionParser(usage='usage: %prog [options]', version='%prog')
+    parser = OptionParser(usage='usage: %prog [options]', version='%prog ' + release.version)
     parser.add_option('-f', '--foreground', action='store_true', dest='foreground', default=False,
                       help="run in the foreground; don't daemonize")
     parser.add_option('-C', '--check', action='store_true', dest='check', default=False,
                       help="only start if not already running (useful for cron jobs)")
-    parser.add_option('-p', '--pidfile', dest="pidfile", default=default_pidfile,
-                      type=str, help="override pidfile location")
-    parser.add_option('-c', '--config-file', dest="configfile", default=default_configfile,
-					  type=str, help="override configuration file location")
-    parser.add_option('-L', '--log-folder', dest="log_folder", default=default_log_folder,
-                      type=str, help="override log file directory")
     options, args = parser.parse_args()
     if len(args) > 0:
         parser.error('No filename arguments are used, only options.')
 
+
+    home = os.path.realpath(os.path.dirname(__file__))
+    pidfile = os.path.join(home, 'loggerhead.pid')
+
     if options.check:
-        if daemon.is_running(options.pidfile):
+        if daemon.is_running(pidfile):
             sys.exit(0)
-        sys.stderr.write('Did not find loggerhead running in %r; restarting...\n' % (options.pidfile,))
+        sys.stderr.write('Did not find loggerhead running in %r; restarting...\n' % (pidfile,))
 
     # read loggerhead config
 
-    config = ConfigObj(options.configfile, encoding='utf-8')
+    config = ConfigObj(os.path.join(home, 'loggerhead.conf'), encoding='utf-8')
     extra_path = config.get('bzrpath', None)
     if extra_path:
         sys.path.insert(0, extra_path)
 
+    #turbogears.update_config(configfile="dev.cfg", modulename="loggerhead.config")
+
     potential_overrides = [ ('server.socket_port', int),
                             ('server.webpath', str),
                             ('server.thread_pool', int),
@@ -79,16 +116,17 @@
         value = config.get(key, None)
         if value is not None:
             value = keytype(value)
+            #turbogears.config.update({ key: value })
 
     if not options.foreground:
         sys.stderr.write('\n')
         sys.stderr.write('Launching loggerhead into the background.\n')
-        sys.stderr.write('PID file: %s\n' % (options.pidfile,))
+        sys.stderr.write('PID file: %s\n' % (pidfile,))
         sys.stderr.write('\n')
 
-        daemon.daemonize(options.pidfile, home)
+        daemon.daemonize(pidfile, home)
 
-    setup_logging(options.log_folder, config, foreground=options.foreground)
+    setup_logging(home, config, foreground=options.foreground)
 
     log = logging.getLogger('loggerhead')
     log.info('Starting up...')
@@ -97,8 +135,7 @@
 
     app = app
     app = make_middleware(app)
-    app = make_filter(app, None, logger_name=log.name+'.access')
-    app = ErrorHandlerApp(app)
+    app = make_filter(app, None)
 
     if webpath:
         scheme, netloc, path, blah, blah, blah = urlparse.urlparse(webpath)
@@ -114,7 +151,7 @@
     finally:
         log.info('Shutdown.')
         try:
-            os.remove(options.pidfile)
+            os.remove(pidfile)
         except OSError:
             pass
 

=== modified file 'start-loggerhead.1'
--- start-loggerhead.1	2008-08-06 18:33:20 +0000
+++ start-loggerhead.1	2008-07-26 14:09:59 +0000
@@ -23,15 +23,6 @@
 .TP
 \fB\-C\fR, \fB\-\-check\fR
 only start if not already running (useful for cron jobs)
-.TP
-\fB\-p\fR, \fB\-\-pidfile=PIDFILE\fR
-override pid file location
-.TP
-\fB\-c\fR, \fB\-\-config-file=CONFIGFILE\fR
-override configuration file location
-.TP
-\fB\-L\fR, \fB\-\-log-folder=LOG-FOLDER\fR
-override log directory
 .SH "LICENSE"
 GNU GPLv2 or later.
 .SH "SEE ALSO"

=== modified file 'stop-loggerhead'
--- stop-loggerhead	2008-08-06 19:38:14 +0000
+++ stop-loggerhead	2008-08-04 23:46:37 +0000
@@ -17,22 +17,14 @@
 
 import os
 import sys
-from optparse import OptionParser
 
 home = os.path.realpath(os.path.dirname(__file__))
-default_pidfile = os.path.join(home, 'loggerhead.pid')
-parser = OptionParser(usage='usage: %prog [options]', version='%prog')
-parser.add_option('-p', '--pidfile', dest="pidfile", default=default_pidfile,
-				  help="override pidfile location")
-
-options, args = parser.parse_args()
-if len(args) > 0:
-	parser.error('No filename arguments are used, only options.')
+pidfile = os.path.join(home, 'loggerhead.pid')
 
 try:
-    f = open(options.pidfile, 'r')
+    f = open(pidfile, 'r')
 except IOError, e:
-    print 'Pid file %s not found.' % options.pidfile
+    print 'No pid file found.'
     sys.exit(1)
 
 pid = int(f.readline())

=== modified file 'stop-loggerhead.1'
--- stop-loggerhead.1	2008-08-06 18:39:15 +0000
+++ stop-loggerhead.1	2008-07-26 14:09:59 +0000
@@ -7,10 +7,6 @@
 Loggerhead is a web viewer for projects in bazaar. It can be used to navigate 
 a branch history, annotate files, view patches, perform searches, etc. It's 
 heavily based on bazaar-webserve, which is itself based on hgweb for Mercurial.
-.SH OPTIONS
-.TP
-\fB\-p\fR, \fB\-\-pidfile=PIDFILE\fR
-override pid file location
 .PP
 The stop-loggerhead command stops the currently running loggerhead server.
 .SH "LICENSE"

